Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(46)

Issue 2236133002: Ignore filtered event if an event matcher cannot be added. (Closed)

Created:
2 years, 11 months ago by meacer
Modified:
2 years, 11 months ago
Reviewers:
Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Ignore filtered event if an event matcher cannot be added. BUG=625404 Committed: https://crrev.com/ba011d9f8322c62633a069a59c2c5525e3ff46cc Cr-Commit-Position: refs/heads/master@{#411472}

Patch Set 1 #

Total comments: 8

Patch Set 2 : devlin comments #

Total comments: 2

Patch Set 3 : DCHECK #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -3 lines) Patch
M extensions/renderer/event_bindings.cc View 1 2 1 chunk +7 lines, -3 lines 0 comments Download

Messages

Total messages: 14 (6 generated)
meacer
Devlin: PTAL, thanks.
2 years, 11 months ago (2016-08-10 23:52:36 UTC) #2
Devlin
https://codereview.chromium.org/2236133002/diff/1/extensions/renderer/event_bindings.cc File extensions/renderer/event_bindings.cc (right): https://codereview.chromium.org/2236133002/diff/1/extensions/renderer/event_bindings.cc#newcode277 extensions/renderer/event_bindings.cc:277: base::DictionaryValue* filter_weak = filter.get(); This makes me sad, because ...
2 years, 11 months ago (2016-08-11 19:08:12 UTC) #3
meacer
https://codereview.chromium.org/2236133002/diff/1/extensions/renderer/event_bindings.cc File extensions/renderer/event_bindings.cc (right): https://codereview.chromium.org/2236133002/diff/1/extensions/renderer/event_bindings.cc#newcode277 extensions/renderer/event_bindings.cc:277: base::DictionaryValue* filter_weak = filter.get(); On 2016/08/11 19:08:12, Devlin wrote: ...
2 years, 11 months ago (2016-08-11 21:53:00 UTC) #6
Devlin
lgtm https://codereview.chromium.org/2236133002/diff/1/extensions/renderer/event_bindings.cc File extensions/renderer/event_bindings.cc (right): https://codereview.chromium.org/2236133002/diff/1/extensions/renderer/event_bindings.cc#newcode277 extensions/renderer/event_bindings.cc:277: base::DictionaryValue* filter_weak = filter.get(); On 2016/08/11 21:53:00, Mustafa ...
2 years, 11 months ago (2016-08-11 21:57:39 UTC) #7
meacer
https://codereview.chromium.org/2236133002/diff/1/extensions/renderer/event_bindings.cc File extensions/renderer/event_bindings.cc (right): https://codereview.chromium.org/2236133002/diff/1/extensions/renderer/event_bindings.cc#newcode277 extensions/renderer/event_bindings.cc:277: base::DictionaryValue* filter_weak = filter.get(); On 2016/08/11 21:57:39, Devlin wrote: ...
2 years, 11 months ago (2016-08-11 22:04:28 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2236133002/40001
2 years, 11 months ago (2016-08-11 22:06:57 UTC) #11
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 11 months ago (2016-08-12 00:23:56 UTC) #12
commit-bot: I haz the power
2 years, 11 months ago (2016-08-12 00:26:28 UTC) #14
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/ba011d9f8322c62633a069a59c2c5525e3ff46cc
Cr-Commit-Position: refs/heads/master@{#411472}

Powered by Google App Engine
This is Rietveld 408576698